Eclipse broken after update solved

Hi,

I just updated Eclipse on my MacOS X using Eclipse updating wizard. After updating I get the following: “The eclipse executable launcher was unable to locate its companion shared library“. Here’s what I’ve done to track and fix the issue:

1) Run eclipse from the console and check the output:

dhcp5:~ ppires$ /usr/local/eclipse-ganymede/Eclipse.app/Contents/MacOS/eclipse
dlopen(../../../plugins/org.eclipse.equinox.launcher.carbon.macosx_1.0.100.v20080509-1800, 2): image not found

2) Check if plugins/org.eclipse.equinox.launcher.carbon.macosx_1.0.100.v20080509-1800 exists:

dhcp5:eclipse-ganymede ppires$ ls plugins/org.eclipse.equinox.launcher.carbon*
org.eclipse.equinox.launcher.carbon.macosx_1.0.101.R34x_v20080731/

3) See the difference? OK, so now let’s fix it! Edit your Eclipse.app/Contents/MacOS/eclipse.ini and make the necessary changes.

4) Run it and be happy!

I’m trully disappointed that this kind of issues still happen on this so amazing product that so many people are using nowadays. Not everyone has the experience to trial and solve these errors, and that’s very negative for Eclipse, as developers will look somewhere else, like Netbeans or others.

3 thoughts on “Eclipse broken after update solved

  1. SH says:

    More thanks. I encountered exactly the same problem after updating (and same file). The error can also be found by using the Console utility.

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s